> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Alert Config

Use this API to read the workspace's alert generation settings.

# Endpoint

`POST https://api.velt.dev/v2/memory/alerts/config/get`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  No fields required. Send an empty object.
</ParamField>

## **Example Requests**

#### Get the alert config

```JSON theme={null}
{
  "data": {}
}
```

# Response

The config reports whether alerts are enabled, the weekly cap, the enabled alert types, and the minimum severity that generates an alert.

#### Success Response

```JSON theme={null}
{
  "result": {
    "enabled": true,
    "maxAlertsPerWeek": 5,
    "enabledAlertTypes": ["approval-rate-drift"],
    "severityThreshold": "medium"
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "enabled": true,
      "maxAlertsPerWeek": 5,
      "enabledAlertTypes": ["approval-rate-drift"],
      "severityThreshold": "medium"
    }
  }
  ```
</ResponseExample>
